<?php
/**
* Component to manage Roughcheck Check help list
*
* PHP version 5.4
*
* @category   Joomla_Component
* @package    Roughcheck
* @subpackage Com_Roughcheck
* @author     Alan Hicks <ahicks@p-o.co.uk>
* @copyright  2012-2014 Persistent Objects Ltd
* @license    GNU General Public License version 3 or later; see LICENSE.txt
*
* @version    SVN: $Id: modal.php 320 2014-09-04 12:28:43Z alan $
* @link       http://p-o.co.uk/
*/

defined('_JEXEC') or die('Restricted Access');

JHtml::_('behavior.tooltip');

// Need to get input to load document headers
$input = JFactory::getApplication()->input;
?>
<form name="adminForm" id="item-form" class="form-validate">
		<div class="span10 form-horizontal">
<?php
if ($this->items) {
	$help_type = '';
	$active_tab = 'help-' . $this->items[0]->id;
	echo JHtml::_('bootstrap.startTabSet', 'myTab', array('active' => $active_tab));
	foreach ($this->items as $i => $item) {
		if ($help_type != $item->help_type) {
			if ($help_type != '') {
				// Close the previous tab
				echo JHtml::_('bootstrap.endTab');
			}
			echo JHtml::_(
				'bootstrap.addTab', 'myTab',
				'help-' . $item->id,
				$this->escape($item->help_type)
			);
			$help_type = $item->help_type;
		}
		echo '<h4>'. $item->title . '</h4>';
		echo '<div>'. $item->description . '</div>';
		//echo '<div class="clr"></div>';
	}
	echo JHtml::_('bootstrap.endTab');
	echo JHtml::_('bootstrap.endTabSet');
} else {
	echo '<p>'.JText::_('COM_ROUGHCHECK_CHECKQUESTIONS_NO_HELP').'</p>';
}

?>
		<input type="hidden" name="task" value="" />
		<input type="hidden" name="return" value="<?php echo $input->getCmd('return');?>" />
		<?php echo JHtml::_('form.token'); ?>
	</div>
</form>
