<?php
/**
* Roughcheck controller
*
* PHP version 5.4
*
* @category   Joomla_Component
* @package    Roughcheck
* @subpackage Com_Roughcheck
* @author     Alan Hicks <ahicks@p-o.co.uk>
* @copyright  2012-2014 Persistent Objects Ltd
* @license    GNU General Public License version 3 or later; see LICENSE.txt
*
* @version    SVN: $Id: roughcheck.php 320 2014-09-04 12:28:43Z alan $
* @link       http://p-o.co.uk/
*/

defined('_JEXEC') or die('Restricted access');

/**
* Roughcheck controller
*
* PHP version 5.4
*
* @category   Joomla_Component
* @package    Roughcheck
* @subpackage Com_Roughcheck
* @author     Alan Hicks <ahicks@p-o.co.uk>
* @copyright  2012-2014 Persistent Objects Ltd
* @license    GNU General Public License version 3 or later; see LICENSE.txt
*
* @link       http://p-o.co.uk/
*/
class RoughcheckControllerRoughcheck extends JControllerLegacy
{

	/**
	* Method to install sample data
	*
	* @return  boolean
	*/
	public function installstarterdata()
	{
		// Check for request forgeries
		JSession::checkToken() or jexit(JText::_('JINVALID_TOKEN'));

		$url = JRoute::_(COM_ROUGHCHECK_HOME, false);

		$model = $this->getModel();
		if ($model->installstarterdata()) {
			$msg = JText::_('COM_ROUGHCHECK_ROUGHCHECK_STARTER_DATA_INSTALLED');
			$type = 'message';
		} else {
			$msg = JText::_('COM_ROUGHCHECK_ROUGHCHECK_STARTER_DATA_INSTALL_FAILED');
			$type = 'error';
		}

		$this->setRedirect($url, $msg, $type);

	}
}
