<?php
/**
* Component to manage a Roughcheck assessment
*
* PHP version 5.4
*
* @category   Joomla_Component
* @package    Roughcheck
* @subpackage Com_Roughcheck
* @author     Alan Hicks <ahicks@p-o.co.uk>
* @copyright  2012-2014 Persistent Objects Ltd
* @license    GNU General Public License version 3 or later; see LICENSE.txt
*
* @version    SVN: $Id: default.php 320 2014-09-04 12:28:43Z alan $
* @link       http://p-o.co.uk/
*/

defined('_JEXEC') or die('Restricted Access');
// load tooltip behavior
JHtml::_('bootstrap.tooltip');
JHtml::_('behavior.modal');
JHtml::_('behavior.multiselect');
JHtml::_('dropdown.init');
JHtml::_('formbehavior.chosen', 'select');
$route = 'index.php?option=com_roughcheck&view=assessmentquestions';
?>
<form action="<?php echo JRoute::_($route); ?>"
    method="post" name="adminForm" id="adminForm">
	<div id="j-sidebar-container" class="span2">
		<?php echo $this->sidebar; ?>
		<h4><?php echo $this->escape($this->assessment->title);?></h4>
	</div>
	<div id="j-main-container" class="span10">
		<h4><?php echo $this->escape($this->topic->title);?></h4>
		<div><?php echo $this->topic->description;?></div>
		<div class="clearfix"> </div>
		<table class="table table-bordered table-hover" id="articleList">
			<thead><?php echo $this->loadTemplate('head');?></thead>
			<tbody><?php echo $this->loadTemplate('body');?></tbody>
		</table>
	</div>
	<div>
		<input type="hidden" name="task" value="" />
		<input type="hidden" name="assessment_id" value="<?php echo $this->assessment->id; ?>" />
		<input type="hidden" name="topic_id" value="<?php echo $this->topic->ordering; ?>" />
		<input type="hidden" name="boxchecked" value="0" />
		<input type="hidden" name="filter_order" value="" />
		<input type="hidden" name="filter_order_Dir" value="" />
		<?php echo JHtml::_('form.token'); ?>
	</div>
</form>
