<?php
/**
* Assessment question edit view
*
* PHP version 5.4
*
* @category   Joomla_Component
* @package    Roughcheck
* @subpackage Com_Roughcheck
* @author     Alan Hicks <ahicks@p-o.co.uk>
* @copyright  2012-2014 Persistent Objects Ltd
* @license    GNU General Public License version 3 or later; see LICENSE.txt
*
* @version    SVN: $Id: modal.php 320 2014-09-04 12:28:43Z alan $
* @link       http://p-o.co.uk/
*/

defined('_JEXEC') or die('Restricted access');

$app = JFactory::getApplication();
$input = $app->input;

JHtml::_('behavior.tooltip');
JHtml::_('behavior.formvalidation');
JHtml::_('behavior.keepalive');
JHtml::_('formbehavior.chosen', 'select');

$path = 'index.php?option=com_roughcheck';
$path .= '&view=assessmentresponse';
$path .= '&layout=modal';
$path .= '&tmpl='.$input->getString('tmpl', 0);
$path .= '&a='.$input->getInt('a', 0);
$path .= '&q='.$input->getInt('q', 0);
$path .= '&id='.(int) $this->item->id;
$action = JRoute::_($path);
?>
<script type="text/javascript">
	Joomla.submitbutton = function(task)
	{
		var action = task.split('.');
		if (action[1] == 'cancel' || document.formvalidator.isValid(document.id('item-form')))
		{
			<?php echo $this->form->getField('description')->save(); ?>
			Joomla.submitform(task, document.getElementById('item-form'));
		}
	}
</script>
<form action="<?php echo $action; ?>"
	method="post" name="adminForm" id="item-form" class="form-validate">
				<div class="span10 form-vertical">
					<div class="btn-toolbar">
						<div class="btn-group pull-right">
							<button
								type="button"
								class="btn btn-small"
								onclick="Joomla.submitform('assessmentresponse.save', this.form);"
								><?php echo JText::_('JSAVE'); ?></button>
							<button
								type="button"
								class="btn btn-small"
								onclick="Joomla.submitform('assessmentresponse.cancel', this.form);"
								><?php echo JText::_('JCANCEL'); ?></button>
						</div>
						<?php echo $this->assessment->title; ?>
					</div>
					<div class="clearfix"> </div>
<?php
foreach ($this->form->getFieldset('main') as $field) { ?>
					<div class="control-group">
						<div class="control-label">
							<?php echo $field->label; ?>
						</div>
						<div class="controls">
							<?php echo $field->input; ?>
						</div>
					</div><?php
}?>
			<input type="hidden" name="task" value="" />
			<input type="hidden" name="return" value="<?php echo $input->getCmd('return');?>" />
			<?php echo JHtml::_('form.token'); ?>
		</div>
		<!-- End Content -->
		<!-- Begin Sidebar -->
		<div class="span2">
		</div>
		<!-- End Sidebar -->
	</div>
</form>
