<?php
/**
* Component to manage Roughcheck assessments
*
* PHP version 5.4
*
* @category   Joomla_Component
* @package    Roughcheck
* @subpackage Com_Roughcheck
* @author     Alan Hicks <ahicks@p-o.co.uk>
* @copyright  2012-2014 Persistent Objects Ltd
* @license    GNU General Public License version 3 or later; see LICENSE.txt
*
* @version    SVN: $Id: default.php 320 2014-09-04 12:28:43Z alan $
* @link       http://p-o.co.uk/
*/

defined('_JEXEC') or die('Restricted Access');
?>
<form action="<?php echo JRoute::_(
	'index.php?option=com_roughcheck&view=roughcheck'
); ?>"
    method="post" name="adminForm" id="adminForm">
	<div id="j-sidebar-container" class="span2">
		<?php echo $this->sidebar; ?>
	</div>
	<div id="j-main-container" class="span10">
		<h1><?php echo JText::_('COM_ROUGHCHECK_GUIDS_HEADING');?></h1>
		<p><?php echo JText::_('COM_ROUGHCHECK_GUIDS_DESCRIPTION');?></p>

		<p>Please feel free to consult the help pages at any time.</p>
<?php
foreach ($this->items as $i => $item) {?>
		<div><?php echo $item; ?></div><?php
}
?>
	</div>
</form>
