<?php
/**
* Component to manage Roughcheck assessments
*
* PHP version 5.4
*
* @category   Joomla_Component
* @package    Roughcheck
* @subpackage Com_Roughcheck
* @author     Alan Hicks <ahicks@p-o.co.uk>
* @copyright  2012-2014 Persistent Objects Ltd
* @license    GNU General Public License version 3 or later; see LICENSE.txt
*
* @version    SVN: $Id: default.php 328 2014-09-08 13:41:19Z alan $
* @link       http://p-o.co.uk/
*/

defined('_JEXEC') or die('Restricted Access');
// load tooltip behavior
JHtml::_('bootstrap.tooltip');
$action = JRoute::_('index.php?option=com_roughcheck&view=roughcheck');
?>
<form action="<?php echo $action; ?>"
    method="post" name="adminForm" id="adminForm">
<div id="j-sidebar-container" class="span2">
	<?php echo $this->sidebar; ?>
</div>
<div id="j-main-container" class="span10">
	<h1><?php echo JText::_('COM_ROUGHCHECK_WELCOME'); ?></h1>
	<p><?php echo JText::_('COM_ROUGHCHECK_WELCOME_NEWINSTALL'); ?></p>
	<p><?php echo JText::_('COM_ROUGHCHECK_WELCOME_TEXT'); ?></p>
	<p><?php echo JText::_('COM_ROUGHCHECK_WELCOME_HELP'); ?></p>
<?php
if (!$this->hasdata) {
	echo $this->loadTemplate('installstarterdata');
}?>

	<p><?php echo JText::_('COM_ROUGHCHECK_TRANSLATION_BY'); ?></p>
	<p><?php
	echo JTEXT::_('COM_ROUGHCHECK_MANIFEST_VERSION'); ?>: <?php
	echo $this->manifest->get('version'); ?></p>
	<p>Copyright &copy; 2012-2014 <a href='http://p-o.co.uk'>Persistent Objects Ltd</a>,
licensed under <a href='http://www.gnu.org/licenses/gpl-3.0.html'>GPLv3 or
later</a>.</p>
</div>
<div>
	<input type="hidden" name="task" value="" />
	<?php echo JHtml::_('form.token'); ?>
</div>
</form>
