<?php
/**
* Component to manage Roughcheck assessments
*
* PHP version 5.4
*
* @category   Joomla_Component
* @package    Roughcheck
* @subpackage Com_Roughcheck
* @author     Alan Hicks <ahicks@p-o.co.uk>
* @copyright  2012-2014 Persistent Objects Ltd
* @license    GNU General Public License version 3 or later; see LICENSE.txt
*
* @version    SVN: $Id: roughcheck.php 320 2014-09-04 12:28:43Z alan $
* @link       http://p-o.co.uk/
*/

defined('_JEXEC') or die('Restricted access');

define('COM_ROUGHCHECK', 'com_roughcheck');

// Log com_roughcheck errors only.
$config = JFactory::getConfig();
if ($config->get('debug', 0)) {
	JLog::addLogger(
		array(
			'text_file' => COM_ROUGHCHECK.'.php'
		),
		JLog::ALL,
		COM_ROUGHCHECK
	);
}

require_once JPATH_COMPONENT.'/helpers/roughcheck.php';

// Get an instance of the controller prefixed by Roughcheck
$controller = JControllerLegacy::getInstance('Roughcheck');

$app = JFactory::getApplication();
if ($config->get('debug', 0)) {
	$task = $app->input->getCmd('task');
	JLog::add(
		'Executing task: ' . get_class($controller) . '::' . $task,
		JLog::DEBUG, COM_ROUGHCHECK
	);
}

$controller->execute($app->input->getCmd('task'));
$controller->redirect();
